/* Mask: */
/* //////////////////////////////////////////////
// COLORS & SASS VARS
////////////////////////////////////////////// */
.hide {
  display: none; }

@media screen and (min-width: 768px) {
  .form-group.col {
    width: 48.5%;
    float: left; }
  .form-group.second {
    float: right; } }

.form-group.hidden-field {
  visibility: hidden;
  margin: 0;
  padding: 0;
  height: 0;
  width: 0;
  overflow: hidden; }
  .form-group.hidden-field input, .form-group.hidden-field select {
    height: 0;
    width: 0;
    visibility: hidden;
    overflow: hidden; }

.spinner-container {
  position: relative; }

.loading-spinner {
  animation-play-state: running;
  opacity: 1; }

@keyframes spinner {
  0% {
    transform: translate3d(-50%, -50%, 0) rotate(0deg); }
  100% {
    transform: translate3d(-50%, -50%, 0) rotate(360deg); } }
  .loading-spinner.-paused {
    animation-play-state: paused;
    opacity: 0.2;
    transition: opacity linear 0.1s; }
  .loading-spinner::before {
    animation: 1.5s linear infinite spinner;
    animation-play-state: inherit;
    border: solid 3px #dedede;
    border-bottom-color: #999;
    border-radius: 50%;
    content: "";
    height: 25px;
    right: 0px;
    opacity: inherit;
    position: absolute;
    top: 50%;
    transform: translate3d(-50%, -50%, 0);
    width: 25px;
    will-change: transform; }

.hide-spinner {
  display: none; }

.ie-no-clear::-ms-clear {
  display: none; }

.errorSpacer {
  margin-bottom: 20px !important; }

.validationError {
  position: relative; }
  .validationError .validationText {
    font-size: 13px;
    position: absolute;
    top: -16px;
    right: 0px;
    color: #d24d57;
    display: inherit; }
  .validationError input[type=email] {
    border: 1px solid #d24d57 !important;
    background-image: url("../img/svg/invalid-icon.svg") !important;
    background-repeat: no-repeat !important;
    background-position: right 8px center !important;
  }

  .validationError input[type=text], .validationError input[type=password], .validationError input[type=tel], .validationError select {
    border: 1px solid #d24d57 !important;
  }

.validationSuccess {
  position: relative; }
  .validationSuccess .validationText {
    font-size: 13px;
    position: absolute;
    top: -16px;
    right: 0px;
    color: #29d6c7;
    display: inherit; }
  .validationSuccess input[type=text], .validationSuccess input[type=password], .validationSuccess input[type=email], .validationSuccess input[type=tel] {
    border: 1px solid #29d6c7 !important;
    background-image: url("../img/svg/success.svg") !important;
    background-repeat: no-repeat !important;
    background-position: right 8px center !important; }

.validationWarning {
  position: relative; }
  .validationWarning .validationCorrection {
    font-size: 13px;
    position: absolute;
    top: -16px;
    right: 0px;
    color: #0C1119;
    font-weight: 700;
    display: inherit; }
  .validationWarning .validationText {
    font-size: 13px;
    position: absolute;
    top: -16px;
    right: 0px;
    color: #0C1119;
    display: inherit; }
  .validationWarning input[type=text], .validationWarning input[type=password], .validationWarning input[type=email], .validationWarning input[type=tel] {
    border: 1px solid #838c90 !important;
    background-image: url("../img/svg/grey-warning-icon.svg") !important;
    background-repeat: no-repeat !important;
    background-position: right 8px center !important; }

.validationText {
  display: none; }

.validationCorrection {
  display: none; }

button.save-btn-disabled {
  cursor: default;
  opacity: 0.6; }

.embedded-signup-wrapper {
  background: #fff;
  padding: 20px;
  box-shadow: 0 6px 12px rgba(0,0,0,.23), 0 10px 40px rgba(0,0,0,.19);
}

.embedded-signup-wrapper h4 {
  font-size: 1.1em;
}

.embedded-signup-wrapper .signup-errors h4 {
  font-size: 16px;
}

.embedded-signup-wrapper .signup-errors ul li {
  font-size: 14px;
}

.embedded-signup-wrapper .embedded-signup form {
  margin-top: 16px;
}

.embedded-signup-wrapper .embedded-signup .form-group {
  margin-bottom: 18px;
}

.embedded-signup-wrapper .embedded-signup input {
  background-color: #e8ebec;
  border: 1px solid #e8ebec;
  box-shadow: none;
  color: #0C1119;
}

.embedded-signup-wrapper .embedded-signup input::-moz-placeholder {color: #b6c1c6; }
.embedded-signup-wrapper .embedded-signup input:-ms-input-placeholder {color: #b6c1c6; }
.embedded-signup-wrapper .embedded-signup input::-webkit-input-placeholder {color: #b6c1c6; }

.embedded-signup-wrapper .embedded-signup form select {
  background-color: #e8ebec !important;
  border: 1px solid #e8ebec;
  box-shadow: none !important;
  color: #0C1119 !important;
}

.embedded-signup-wrapper .embedded-signup form select:invalid {
  color: #b6c1c6 !important;
}

.embedded-signup-wrapper .embedded-signup form select:active, .embedded-signup-wrapper .embedded-signup form select:focus {
  border: 1px solid #aaa;
}

.embedded-signup-wrapper .embedded-signup form select option {
  color: #0C1119;
}

.embedded-signup-wrapper .embedded-signup .terms-of-service {
  color: silver;
  font-size: 11px;
}

.embedded-signup-wrapper .embedded-signup .terms-of-service a {
  color: silver;
  text-decoration: underline;
}

.embedded-signup-wrapper .embedded-signup .password-requirements-text {
  font-size: 12px;
  padding-top: 5px;
}

.embedded-signup-wrapper .embedded-signup .password-requirements-text .valid {
  color: green;
}

.embedded-signup-wrapper .embedded-signup .password-requirements-text .invalid {
  color: #d3555c;
}

.embedded-signup-wrapper .embedded-signup #newsignupbutton {
  position: relative;
}

.embedded-signup-wrapper .embedded-signup #newsignupbutton.loading-spinner span {
  visibility: hidden;
}

.embedded-signup-wrapper .embedded-signup #newsignupbutton.loading-spinner::before {
  right: 50%;
  margin-right: -25px;
}